<template>
  <el-date-picker
    v-model="date"
    @change="onChange"
    type="month"
    placeholder="Дата"
  >
  </el-date-picker>
</template>

<script lang="ts">
import { Component, Mixins } from "vue-property-decorator";
import ComponentMixin from "../common/ComponentMixin";

/**
 * Компонент выбора Даты.
 */
@Component
export default class DateBaseChannelAudiencesComponent extends Mixins(
  ComponentMixin
) {
  // Выбранная дата пользователем
  private date: null | Date = null;

  /**
   *  Метод срабатывания после выбора даты.
   */
  onChange(): void {
    // Оповещаем подписчиков об изменении даты
    this.notify("selection-date-tvr", this.date);
  }
}
</script>

<style lang="scss" scoped>
.el-date-editor {
  width: 100%;
}
</style>
